Review link history
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidlink_id*Link IdFormat
uuidbefore?|nullSuccessful Response
application/json- response
accesses*array<>comments*array<>has_older_accesses*Has Older Accesseslink*snapshot*curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/review-links/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "accesses": [ { "action": "string", "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "comments": [ { "body": "string", "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reviewer_name": "string" } ], "has_older_accesses": true, "link": { "access_count": 0, "allow_comments": true, "content_sha256": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "max_accesses": 0, "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971", "revoked_at": "2019-08-24T14:15:22Z", "title": "string" }, "snapshot": { "approved_at": "2019-08-24T14:15:22Z", "branch_ref": "string", "commit_sha": "string", "generated_at": "2019-08-24T14:15:22Z", "limitations": [ "string" ], "report_revision": 0, "repository": "string", "sections": [ { "items": [ { "evidence": [ "string" ], "id": "string", "locations": [ "string" ], "severity": "string", "text": "string", "title": "string" } ], "kind": "executive_summary", "title": "string" } ], "title": "string" }}